Subject: Re: linux-next: build failure after merge of the printk tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 3 Mar 2018 13:43:26 +1100

Hi Petr,

On Fri, 2 Mar 2018 16:54:54 +0100 Petr Mladek <[email-masked]> wrote:
>
> It is a mistery to me. The error appears when I move any of
> dump_stack_print_info() or show_regs_print_info() function
> definitions from kernel/printk/printk.c to lib/dump_stack.c.
> All the other changes seems unrelated.

Presumably because the Blackfin dumpstack() calls
dump_stack_print_info() so if you move that into lib/dumpstack.o, then
that file is dragged in and it contains another copy of dumpstack().

-- 
Cheers,
Stephen Rothwell